<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/crazyflie_colored_blob_perspective_camera_default_sensor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">crazyflie_colored_blob_perspective_camera_default_sensor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="crazyflie__colored__blob__perspective__camera__default__sensor_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef CRAZYFLIE_COLORED_BLOB_PERSPECTIVE_CAMERA_DEFAULT_SENSOR_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define CRAZYFLIE_COLORED_BLOB_PERSPECTIVE_CAMERA_DEFAULT_SENSOR_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;   <span class="keyword">class </span>CColoredBlobPerspectiveCameraDefaultSensor;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;   <span class="keyword">class </span>CCrazyflieCameraEquippedEntity;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;   <span class="keyword">class </span>CLEDEntity;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;   <span class="keyword">class </span>CControllableEntity;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;   <span class="keyword">class </span>CCrazyfliePerspectiveCameraLEDCheckOperation;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;argos3/core/utility/math/rng.h&gt;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;argos3/core/simulator/space/space.h&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;argos3/core/simulator/sensor.h&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;argos3/plugins/robots/generic/control_interface/ci_colored_blob_perspective_camera_sensor.h&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;argos3/core/control_interface/ci_sensor.h&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">   28</a></span>&#160;   <span class="keyword">class </span><a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a> : <span class="keyword">public</span> CCI_ColoredBlobPerspectiveCameraSensor,</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                                                               <span class="keyword">public</span> CSimulatedSensor {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a820a898c12378196442851429591788b">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a>();</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;      <span class="keyword">virtual</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a983c72726647ea975bc1422f63fb4f05">~CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a>();</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ac44c6fbe2716e1aee509ac97ec0ef45f">SetRobot</a>(CComposableEntity&amp; c_entity);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aae04df2fc124672fe4f6d3aedbf099cc">Init</a>(TConfigurationNode&amp; t_tree);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a2ce83da2de68a4aaa7116275a6a4f9bc">Update</a>();</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1b75aeaf760bf3584f73c7560c7d033">Reset</a>();</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ae53d16f27a099d89db30e5b0cab0171f">Destroy</a>();</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a0a32c4346a103375d1ef66d65e65a08b">Enable</a>();</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aeefe631850a60cda55a701ed794fcd91">Disable</a>();</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#abc34e2ea9cd48f528c7b4dba96e3f907">   55</a></span>&#160;      <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#abc34e2ea9cd48f528c7b4dba96e3f907">IsShowRays</a>() {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;         <span class="keywordflow">return</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a78a7f290dc648e51bcf060d83688e972">m_bShowRays</a>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;      }</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a1c53044d2617ffcc59a92a72958491a8">   63</a></span>&#160;      <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a1c53044d2617ffcc59a92a72958491a8">SetShowRays</a>(<span class="keywordtype">bool</span> b_show_rays) {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;         <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a78a7f290dc648e51bcf060d83688e972">m_bShowRays</a> = b_show_rays;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;      }</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;   <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a86340d1c95102351214dec0a9d88d418">   69</a></span>&#160;      <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a>*               <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a86340d1c95102351214dec0a9d88d418">m_pcCamEntity</a>;</div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a408d79f289c16c281e5aae571adf626d">   70</a></span>&#160;      CControllableEntity*                          <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a408d79f289c16c281e5aae571adf626d">m_pcControllableEntity</a>;</div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a307fb5d9941c9b3b28afa4d3e9943443">   71</a></span>&#160;      CEmbodiedEntity*                              <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a307fb5d9941c9b3b28afa4d3e9943443">m_pcEmbodiedEntity</a>;</div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a385afa6f7e15101bc9dfcef852f059fc">   72</a></span>&#160;      CPositionalIndex&lt;CLEDEntity&gt;*                 <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a385afa6f7e15101bc9dfcef852f059fc">m_pcLEDIndex</a>;</div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1308a14520fcf4543d20f69ae267c8a">   73</a></span>&#160;      CPositionalIndex&lt;CEmbodiedEntity&gt;*            <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1308a14520fcf4543d20f69ae267c8a">m_pcEmbodiedIndex</a>;</div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a3347a952ac9addce145f69412929243e">   74</a></span>&#160;      <a class="code" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html">CCrazyfliePerspectiveCameraLEDCheckOperation</a>* <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a3347a952ac9addce145f69412929243e">m_pcOperation</a>;</div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a78a7f290dc648e51bcf060d83688e972">   75</a></span>&#160;      <span class="keywordtype">bool</span>                                          <a class="code" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a78a7f290dc648e51bcf060d83688e972">m_bShowRays</a>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;   };</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:25</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:29</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a0a32c4346a103375d1ef66d65e65a08b"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a0a32c4346a103375d1ef66d65e65a08b">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Enable</a></div><div class="ttdeci">virtual void Enable()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:259</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a1c53044d2617ffcc59a92a72958491a8"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a1c53044d2617ffcc59a92a72958491a8">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::SetShowRays</a></div><div class="ttdeci">void SetShowRays(bool b_show_rays)</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:63</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a2ce83da2de68a4aaa7116275a6a4f9bc"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a2ce83da2de68a4aaa7116275a6a4f9bc">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Update</a></div><div class="ttdeci">virtual void Update()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:213</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a307fb5d9941c9b3b28afa4d3e9943443"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a307fb5d9941c9b3b28afa4d3e9943443">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcEmbodiedEntity</a></div><div class="ttdeci">CEmbodiedEntity * m_pcEmbodiedEntity</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:71</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a3347a952ac9addce145f69412929243e"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a3347a952ac9addce145f69412929243e">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcOperation</a></div><div class="ttdeci">CCrazyfliePerspectiveCameraLEDCheckOperation * m_pcOperation</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:74</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a385afa6f7e15101bc9dfcef852f059fc"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a385afa6f7e15101bc9dfcef852f059fc">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcLEDIndex</a></div><div class="ttdeci">CPositionalIndex&lt; CLEDEntity &gt; * m_pcLEDIndex</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:72</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a408d79f289c16c281e5aae571adf626d"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a408d79f289c16c281e5aae571adf626d">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcControllableEntity</a></div><div class="ttdeci">CControllableEntity * m_pcControllableEntity</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:70</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a78a7f290dc648e51bcf060d83688e972"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a78a7f290dc648e51bcf060d83688e972">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_bShowRays</a></div><div class="ttdeci">bool m_bShowRays</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:75</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a820a898c12378196442851429591788b"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a820a898c12378196442851429591788b">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></div><div class="ttdeci">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:150</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a86340d1c95102351214dec0a9d88d418"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a86340d1c95102351214dec0a9d88d418">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcCamEntity</a></div><div class="ttdeci">CCrazyflieCameraEquippedEntity * m_pcCamEntity</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:69</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_a983c72726647ea975bc1422f63fb4f05"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a983c72726647ea975bc1422f63fb4f05">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::~CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></div><div class="ttdeci">virtual ~CCrazyflieColoredBlobPerspectiveCameraDefaultSensor()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:163</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_aae04df2fc124672fe4f6d3aedbf099cc"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aae04df2fc124672fe4f6d3aedbf099cc">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Init</a></div><div class="ttdeci">virtual void Init(TConfigurationNode &amp;t_tree)</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:181</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_ab1308a14520fcf4543d20f69ae267c8a"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1308a14520fcf4543d20f69ae267c8a">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcEmbodiedIndex</a></div><div class="ttdeci">CPositionalIndex&lt; CEmbodiedEntity &gt; * m_pcEmbodiedIndex</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:73</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_ab1b75aeaf760bf3584f73c7560c7d033"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1b75aeaf760bf3584f73c7560c7d033">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Reset</a></div><div class="ttdeci">virtual void Reset()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:244</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_abc34e2ea9cd48f528c7b4dba96e3f907"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#abc34e2ea9cd48f528c7b4dba96e3f907">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::IsShowRays</a></div><div class="ttdeci">bool IsShowRays()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.h:55</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_ac44c6fbe2716e1aee509ac97ec0ef45f"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ac44c6fbe2716e1aee509ac97ec0ef45f">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::SetRobot</a></div><div class="ttdeci">virtual void SetRobot(CComposableEntity &amp;c_entity)</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:169</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_ae53d16f27a099d89db30e5b0cab0171f"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ae53d16f27a099d89db30e5b0cab0171f">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Destroy</a></div><div class="ttdeci">virtual void Destroy()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:252</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_html_aeefe631850a60cda55a701ed794fcd91"><div class="ttname"><a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aeefe631850a60cda55a701ed794fcd91">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Disable</a></div><div class="ttdeci">virtual void Disable()</div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:268</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation_html"><div class="ttname"><a href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html">argos::CCrazyfliePerspectiveCameraLEDCheckOperation</a></div><div class="ttdef"><b>Definition:</b> crazyflie_colored_blob_perspective_camera_default_sensor.cpp:23</div></div>
<div class="ttc" id="anamespaceargos_html"><div class="ttname"><a href="namespaceargos.html">argos</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
